<?php
/**
 * @version SVN: $Id$
 * @package    CBAuthorPlug
 * @subpackage Base
 * @author     Tony Korologos {@link http://www.tkserver.com}
 * @author     Created on 23-Feb-2010
 */

//-- No direct access
defined('_JEXEC') or die('=;)');

jimport( 'joomla.plugin.plugin' );

/**
 * Example Content Plugin
 *
 * @package    CBAuthorPlug
 * @subpackage	Plugin
 */
class plgContentCBAuthorPlug extends JPlugin
{

    /**
     * Constructor
     *
     * For php4 compatability we must not use the __constructor as a constructor for plugins
     * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
     * This causes problems with cross-referencing necessary for the observer design pattern.
     *
     * @param object $subject The object to observe
     * @param object $params  The object that holds the plugin parameters
     * @since 1.5
     */
    function plgContentCBAuthorPlug( &$subject, $params )
    {
        parent::__construct( $subject, $params );
    }//function

    /**
     * Example prepare content method
     *
     * Method is called by the view
     *
     * @param 	object		The article object.  Note $article->text is also available
     * @param 	object		The article params
     * @param 	int			The 'page' number
     */
	 	
    function onPrepareContent( &$article, &$params, $limitstart )
    {
			
    }//function

    /**
     * Example after display title method
     *
     * Method is called by the view and the results are imploded and displayed in a placeholder
     *
     * @param 	object		The article object.  Note $article->text is also available
     * @param 	object		The article params
     * @param 	int			The 'page' number
     * @return	string
     */
    function onAfterDisplayTitle( &$article, &$params, $limitstart )
    {
	
    }//function

    /**
     * Example before display content method
     *
     * Method is called by the view and the results are imploded and displayed in a placeholder
     *
     * @param 	object		The article object.  Note $article->text is also available
     * @param 	object		The article params
     * @param 	int			The 'page' number
     * @return	string
     */
    function onBeforeDisplayContent( &$row, &$article, &$params)
    {
	// ini_set('display_errors',1);
	// error_reporting(E_ALL);
			
			$plugin = & JPluginHelper::getPlugin('content', 'cbauthorplug');
			$pluginParams   = new JParameter( $plugin->params );
			
			$showavatar = $pluginParams->get('showavatar');
			$avatarwidth = $pluginParams->get('avatarwidth');
			$avatarmarginleft = $pluginParams->get('avatarmarginleft');
			$avatarmarginright = $pluginParams->get('avatarmarginright');
			$avatarfloat = $pluginParams->get('avatarfloat');
			$introtext = $pluginParams->get('introtext', '');
			$outrotext = $pluginParams->get('outrotext', '');
			$showname = $pluginParams->get('showname', 'name');
			$textfloat = $pluginParams->get('textfloat');
			$fontsize = $pluginParams->get('fontsize');
			$textcolor = $pluginParams->get('textcolor');
			$linkcolor = $pluginParams->get('linkcolor');
		
			
		$database = &JFactory::getDbo();
		$uri = & JFactory::getURI();
		$sql = "SELECT $showname from #__users where id = '$row->created_by' LIMIT 1";
		$database->setQuery($sql);
		$cbname = $database->loadResult();
		$sql2 = "SELECT avatar FROM #__comprofiler WHERE user_id = '$row->created_by' AND avatarapproved = 1 LIMIT 1";
		$database->setQuery($sql2);
		$avatar = $database->loadResult();		
		$tn = 'tn';
				
		if($showavatar == 0) {$avatar = '';}
		if(strstr($avatar,'gallery'))
			{
			$tn = '';
			} 
	
		$createdbyauthor 	= $row->created_by_alias;
		$createdby_id = $row->created_by;
		
		return '<!-- CSS STYLES -->

				<style type="text/css">
				<!--

				div#cbauthorplug{
				font-size: ' . $fontsize . 'px;
				color: ' . $textcolor . ';
				float: ' . $textfloat . ';
				
				}
				
				div#cbauthorplug a{
				font-size: ' . $fontsize . 'px;
				color: ' . $linkcolor . ';
				
				}
			
				div.cbauthorplug img {
				border-style: none;
				width: ' . $avatarwidth . 'px;
				margin-right: ' . $avatarmarginright . 'px;
				margin-left: ' . $avatarmarginleft . 'px;
				float: ' . $avatarfloat . ';
			}
			
			--></style>'
			. '<div class="cbauthorplug"><a href="index.php?option=com_comprofiler&task=userProfile&user=' . $createdby_id 
			. '"><img src="images/comprofiler/' . $tn . $avatar . '"></a><div id="cbauthorplug">' . $introtext 
			. '<a href="index.php?option=com_comprofiler&task=userProfile&user=' . $createdby_id . '"> '. $cbname . ' </a>' . $outrotext . '</div></div>';
		        
   }//function

    /**
     * Example after display content method
     *
     * Method is called by the view and the results are imploded and displayed in a placeholder
     *
     * @param 	object		The article object.  Note $article->text is also available
     * @param 	object		The article params
     * @param 	int			The 'page' number
     * @return	string
     */
    function onAfterDisplayContent( &$article, &$params, $limitstart )
    {
        return '';
    }//function

    /**
     * Example before save content method
     *
     * Method is called right before content is saved into the database.
     * Article object is passed by reference, so any changes will be saved!
     * NOTE:  Returning false will abort the save with an error.
     * 	You can set the error by calling $article->setError($message)
     *
     * @param 	object		A JTableContent object
     * @param 	bool		If the content is just about to be created
     * @return	bool		If false, abort the save
     */
    function onBeforeContentSave( &$article, $isNew )
    {
        return true;
    }//function

    /**
     * Example after save content method
     * Article is passed by reference, but after the save, so no changes will be saved.
     * Method is called right after the content is saved
     *
     *
     * @param 	object		A JTableContent object
     * @param 	bool		If the content is just about to be created
     * @return	void
     */
    function onAfterContentSave( &$article, $isNew )
    {
        return true;
    }//function
	


}//class
